# PetscObjectDestroy

Destroys any PetscObject, regardless of the type.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscObjectDestroy(PetscObject obj)

Collective on PetscObject

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. This must be cast with a (PetscObject), for example, PetscObjectDestroy((PetscObject)mat);

Level:beginner
Location: src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages